@echo off

rem SET THESE VARIABLES ACCORDING TO YOUR ENVIRONMENT SETTINGS

set ANT_HOME=c:\tools\jakarta-ant-1.4.1
set COMPLILER_PATH=C:\jikes\bin\jikes.exe
set JAXP_HOME=C:\jaxp-1.1
set JAVA_HOME=C:\jdk1.3
set JAVACMD=%JAVA_HOME%\bin\java.exe
set VELOCITY_HOME=c:\Frameworks\velocity-1.2
rem set JAVACC_HOME=C:\tools\javacc2.0

rem Slurp the command line arguments.  This loop allows for an unlimited number of 
rem agruments (up to the command line limit, anyway).

set ANT_CMD_LINE_ARGS=

:setupArgs
if %1a==a goto doneArgs
set ANT_CMD_LINE_ARGS=%ANT_CMD_LINE_ARGS% %1
shift
goto setupArgs

:doneArgs

set LOCALCLASSPATH="%CLASSPATH%"
for %%i in ("%ANT_HOME%\lib\*.jar") do call "%ANT_HOME%\bin\lcp.bat" "%%i"

if exist "%JAVA_HOME%\lib\tools.jar" call "%ANT_HOME%\bin\lcp.bat" "%JAVA_HOME%\lib\tools.jar"
if exist "%JAVA_HOME%\lib\classes.zip" call "%ANT_HOME%\bin\lcp.bat" "%JAVA_HOME%\lib\classes.zip"

call "%ANT_HOME%\bin\lcp.bat" "%JAXP_HOME%\jaxp.jar"
call "%ANT_HOME%\bin\lcp.bat" "%JAXP_HOME%\xalan.jar"
call "%ANT_HOME%\bin\lcp.bat" "%VELOCITY_HOME%\velocity-1.2.jar"
call "%ANT_HOME%\bin\lcp.bat" "%VELOCITY_HOME%\build\lib\jdom-b7.jar"
call "%ANT_HOME%\bin\lcp.bat" "%VELOCITY_HOME%\build\lib\xerces-1.3.0.jar"
call "%ANT_HOME%\bin\lcp.bat" "%VELOCITY_HOME%\build\lib\log4j-1.1.3.jar"
call "%ANT_HOME%\bin\lcp.bat" "%VELOCITY_HOME%\build\lib\logkit-1.0.jar"
call "%ANT_HOME%\bin\lcp.bat" "%VELOCITY_HOME%\build\lib\log4j-core-1.1.3.jar"
call "%ANT_HOME%\bin\lcp.bat" "%VELOCITY_HOME%\build\lib\commons-collections.jar"

if not "%JIKESPATH%" == "" goto runAntWithJikes

:runAnt
%JAVACMD% -classpath %LOCALCLASSPATH% -Dant.home="%ANT_HOME%" %ANT_OPTS% org.apache.tools.ant.Main %BUILD_OPTIONS% %ANT_CMD_LINE_ARGS%
goto end

:runAntWithJikes
%JAVACMD% -classpath %LOCALCLASSPATH% -Dant.home="%ANT_HOME%" -Djikes.class.path=%JIKESPATH% %ANT_OPTS% %BUILD_OPTIONS% org.apache.tools.ant.Main %ANT_CMD_LINE_ARGS%

:end
set LOCALCLASSPATH=
set ANT_CMD_LINE_ARGS=
